STRUCT TE(3)

NAME
boost::mpi::is_mpi_logical_datatype - Type trait that determines if there exists a built-in logical MPI data type for a given C++ type.

SYNOPSIS

// In header: <boost/mpi/datatype.hpp>
template<typename T>
struct is_mpi_logical_datatype {
};

DESCRIPTION

This ytpe trait determines when there is a direct mapping from a C++ type to an MPI data type that is classified as an logical data type. See is_mpi_builtin_datatype for general information about built-in MPI data types.